Dashboard sessions API
Sign-up and session endpoints used by the dashboard. Integrations use API keys instead.
| Operation | Method and path |
|---|---|
| Create an account | POST /api/v1/auth/signup |
| Sign in | POST /api/v1/auth/login |
| Sign out | POST /api/v1/auth/logout |
| Current session | GET /api/v1/auth/me |
| Confirm an email address | POST /api/v1/auth/verify-email |
| Send the verification email again | POST /api/v1/auth/resend-verification |
| Email a password reset link | POST /api/v1/auth/forgot-password |
| Set a new password from a reset link | POST /api/v1/auth/reset-password |
| Switch the active organization | POST /api/v1/auth/switch-organization |
POST
/api/v1/auth/signup Create an account
auth.signup · no API key needed
Request body application/json
-
emailstring required email -
passwordstring required min length 10 -
firstNamestring required -
lastNamestring nullable -
organizationNamestring nullable
Example
curl -X POST "https://api.siaran.my/api/v1/auth/signup" \
-H "content-type: application/json" \
-d '{
"email": "[email protected]",
"password": "string",
"firstName": "Example"
}' Response 201
3 top-level fields
-
userobject required9 fields
-
idstring required -
emailstring required -
firstNamestring nullable -
lastNamestring nullable -
avatarUrlstring nullable -
timezonestring nullable -
emailVerifiedAtstring nullable date-time -
onboardedAtstring nullable date-time -
createdAtstring date-time
-
-
membershipsobject[] required4 fields
-
idstring required -
organizationIdstring required -
organizationNamestring -
rolestring requiredOne of:OWNERADMINMEMBER
-
-
currentOrganizationIdstring nullable
POST
/api/v1/auth/login Sign in
auth.login · no API key needed
Request body application/json
-
emailstring required -
passwordstring required
Example
curl -X POST "https://api.siaran.my/api/v1/auth/login" \
-H "content-type: application/json" \
-d '{
"email": "[email protected]",
"password": "string"
}' Response 200
3 top-level fields
-
userobject required9 fields
-
idstring required -
emailstring required -
firstNamestring nullable -
lastNamestring nullable -
avatarUrlstring nullable -
timezonestring nullable -
emailVerifiedAtstring nullable date-time -
onboardedAtstring nullable date-time -
createdAtstring date-time
-
-
membershipsobject[] required4 fields
-
idstring required -
organizationIdstring required -
organizationNamestring -
rolestring requiredOne of:OWNERADMINMEMBER
-
-
currentOrganizationIdstring nullable
POST
/api/v1/auth/logout Sign out
auth.logout · no API key needed
Example
curl -X POST "https://api.siaran.my/api/v1/auth/logout" Response 200
1 top-level fields
-
successboolean required
GET
/api/v1/auth/me Current session
auth.me · requires x-api-key
Example
curl -X GET "https://api.siaran.my/api/v1/auth/me" \
-H "x-api-key: $SIAR_API_KEY" Response 200
3 top-level fields
-
userobject required9 fields
-
idstring required -
emailstring required -
firstNamestring nullable -
lastNamestring nullable -
avatarUrlstring nullable -
timezonestring nullable -
emailVerifiedAtstring nullable date-time -
onboardedAtstring nullable date-time -
createdAtstring date-time
-
-
membershipsobject[] required4 fields
-
idstring required -
organizationIdstring required -
organizationNamestring -
rolestring requiredOne of:OWNERADMINMEMBER
-
-
currentOrganizationIdstring nullable
POST
/api/v1/auth/verify-email Confirm an email address
auth.verifyEmail · no API key needed
Request body application/json
-
tokenstring required
Example
curl -X POST "https://api.siaran.my/api/v1/auth/verify-email" \
-H "content-type: application/json" \
-d '{
"token": "string"
}' Response 200
1 top-level fields
-
successboolean required
POST
/api/v1/auth/resend-verification Send the verification email again
auth.resendVerification · requires x-api-key
Example
curl -X POST "https://api.siaran.my/api/v1/auth/resend-verification" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
successboolean required
POST
/api/v1/auth/forgot-password Email a password reset link
auth.forgotPassword · no API key needed
Request body application/json
-
emailstring required
Example
curl -X POST "https://api.siaran.my/api/v1/auth/forgot-password" \
-H "content-type: application/json" \
-d '{
"email": "[email protected]"
}' Response 200
1 top-level fields
-
successboolean required
POST
/api/v1/auth/reset-password Set a new password from a reset link
auth.resetPassword · no API key needed
Request body application/json
-
tokenstring required -
passwordstring required min length 10
Example
curl -X POST "https://api.siaran.my/api/v1/auth/reset-password" \
-H "content-type: application/json" \
-d '{
"token": "string",
"password": "string"
}' Response 200
1 top-level fields
-
successboolean required
POST
/api/v1/auth/switch-organization Switch the active organization
auth.switchOrganization · requires x-api-key
Request body application/json
-
organizationIdstring required
Example
curl -X POST "https://api.siaran.my/api/v1/auth/switch-organization" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"organizationId": "ORGANIZATION_ID"
}' Response 200
3 top-level fields
-
userobject required9 fields
-
idstring required -
emailstring required -
firstNamestring nullable -
lastNamestring nullable -
avatarUrlstring nullable -
timezonestring nullable -
emailVerifiedAtstring nullable date-time -
onboardedAtstring nullable date-time -
createdAtstring date-time
-
-
membershipsobject[] required4 fields
-
idstring required -
organizationIdstring required -
organizationNamestring -
rolestring requiredOne of:OWNERADMINMEMBER
-
-
currentOrganizationIdstring nullable